package com.ruoyi.web.v2.service;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.v2.entity.PayRecord;
import com.ruoyi.web.v2.entity.UserAccount;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.web.v2.entity.request.UserAccountRequest;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author author
 * @since 2025-12-25
 */
public interface IUserAccountService extends IService<UserAccount> {
    AjaxResult getListEventByPage(UserAccountRequest userAccount);

    AjaxResult getList(UserAccountRequest userAccount);


    UserAccount getByUserId(String userId);
    PayRecord updatePayAmount(PayRecord payRecord);


}
